Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class MethodCache

    java.lang.Object
      |
      +--com.beasys.commerce.util.MethodCache

public class MethodCache
extends java.lang.Object

Field Summary
`protected java.util.LinkedList` | `cache`

Constructor Summary
`protected` | `MethodCache()` Default constructor.

Method Summary
`static MethodCache` | `getInstance()` Get instance.
`java.lang.reflect.Method` | `getMethod(java.lang.Class c, java.lang.String aName, java.lang.Class[] theParams)` Get method.
`static void` | `main(java.lang.String[] args)` Main - test program.
`int` | `testMethod(java.lang.String aString)` Test method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected java.util.LinkedList cache

Constructor Detail

### MethodCache

    protected MethodCache()

  Default constructor.

Method Detail

### getInstance

    public static MethodCache getInstance()

  Get instance.

  Returns:
    `MethodCache`

### getMethod

    public java.lang.reflect.Method getMethod(java.lang.Class c,
                                              java.lang.String aName,
                                              java.lang.Class[] theParams)

  Get method.

  Parameters:
    `c` -
    `aName` -
    `theParams` -
  Returns:
    `Method`

### testMethod

    public int testMethod(java.lang.String aString)

  Test method.

  Parameters:
    `aString` -
  Returns:
    `int`

### main

    public static void main(java.lang.String[] args)

  Main - test program.

  Parameters:
    `args` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved